%define url_ver %(echo %{version} | cut -d "." -f -2)

Summary:	Serial terminal for the Gnome desktop
Name:		moserial
Version:	3.0.11
Release:	%mkrel 1
Group:		Communications/Serial
License:	GPLv3+
URL:		https://wiki.gnome.org/moserial/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gnome-doc-utils)
Requires:	hicolor-icon-theme
Requires:	yelp

%description
Moserial is a clean, friendly gtk-based serial terminal for the Gnome
desktop. It is written in Vala for extra goodness.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name} --with-gnome --with-help

%files -f %{name}.lang
%doc AUTHORS ChangeLog ChangeLog.pre-git MAINTAINERS NEWS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}*


%changelog
* Mon Mar 06 2017 ovitters <ovitters> 3.0.11-1.mga6
+ Revision: 1089083
- new version 3.0.11

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Nov 15 2015 ovitters <ovitters> 3.0.10-1.mga6
+ Revision: 903446
- new version 3.0.10

* Wed Oct 15 2014 umeabot <umeabot> 3.0.9-2.mga5
+ Revision: 749150
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 ovitters <ovitters> 3.0.9-1.mga5
+ Revision: 732596
- new version 3.0.9

* Tue Sep 16 2014 umeabot <umeabot> 3.0.8-5.mga5
+ Revision: 682598
- Mageia 5 Mass Rebuild

* Sat Nov 09 2013 ovitters <ovitters> 3.0.8-4.mga4
+ Revision: 550191
- fix url

* Fri Oct 18 2013 umeabot <umeabot> 3.0.8-3.mga4
+ Revision: 508021
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.0.8-2.mga3
+ Revision: 360278
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 19 2012 wally <wally> 3.0.8-1.mga3
+ Revision: 332852
- drop str fmt patch
- new version 3.0.8

* Wed Oct 03 2012 malo <malo> 3.0.7-2.mga3
+ Revision: 302509
- update RPM group

* Wed Jun 13 2012 ovitters <ovitters> 3.0.7-1.mga3
+ Revision: 260332
- new version 3.0.7

* Fri Mar 02 2012 ovitters <ovitters> 3.0.6-1.mga2
+ Revision: 216913
- new version 3.0.6

* Tue Jan 24 2012 wally <wally> 3.0.5-1.mga2
+ Revision: 200590
- new version 3.0.5

* Sat Jan 21 2012 fwang <fwang> 3.0.4-1.mga2
+ Revision: 199331
- new version 3.0.4

* Thu Jan 19 2012 fwang <fwang> 3.0.3-1.mga2
+ Revision: 198040
- new version 3.0.3

* Wed Oct 05 2011 wally <wally> 3.0.2-1.mga2
+ Revision: 152040
- new version 3.0.2
- rediff str fmt patch

* Thu Sep 01 2011 wally <wally> 3.0.1-2.mga2
+ Revision: 137693
- clean patch

* Thu Sep 01 2011 wally <wally> 3.0.1-1.mga2
+ Revision: 137690
- imported package moserial

